<template>
  <div class="record" v-if="record != null">
    <span class="record_element"
      >air_ship_type: {{ record.airship_type }}
    </span>
    <br />
    <span class="record_element"
      >specialization: {{ record.specialization }}
    </span>
    <br />
    <span class="record_element">aggregate: {{ record.aggregate }} </span>
    <br />
    <span class="record_element">point_number: {{ record.point_number }} </span>
    <br />
    <span class="record_element">point_text: {{ record.point_text }} </span>
    <br />
    <a class="record_element" :href="record.technologic_card_url"
      >technologic_card
    </a>
    <br />
    <span class="record_element"
      >handlings_level: {{ record.handlings_level }}
    </span>
    <br />
    <br />
  </div>
</template>

<script>
import { setAuthorizationToken } from "../../utils/authUtils";
import { getJzotById } from "../../utils/apiUtils";

export default {
  name: "JzotRecord",
  props: ["id"],
  data: function () {
    return {
      record: null,
    };
  },

  mounted: function () {
    if (this.id) {
      (async () => {
        setAuthorizationToken(localStorage.getItem("jwtAccessToken"));
        this.record = await getJzotById(this.id);
      })();
    }
  },
};
</script>

<style scoped>
.record {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

.record_element {
  width: 100%;
  font-size: 20px;
  padding-inline: 25px;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  text-align: center;
}
</style>
